tigase.jaxmpp.j2se.filetransfer

## Class FileTransferNegotiator.NegotiationFailureHandler.FileTransferNegotiationFailureEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<FileTransferNegotiator.NegotiationFailureHandler>
    - - tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator.NegotiationFailureHandler.FileTransferNegotiationFailureEvent

- Enclosing interface:
    FileTransferNegotiator.NegotiationFailureHandler

      public static class FileTransferNegotiator.NegotiationFailureHandler.FileTransferNegotiationFailureEvent
      extends JaxmppEvent<FileTransferNegotiator.NegotiationFailureHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferNegotiationFailureEvent(SessionObject sessionObject, FileTransfer fileTransfer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FileTransferNegotiator.NegotiationFailureHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferNegotiationFailureEvent

          public FileTransferNegotiationFailureEvent(SessionObject sessionObject,
                                                     FileTransfer fileTransfer)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(FileTransferNegotiator.NegotiationFailureHandler handler)
                           throws Exception

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<FileTransferNegotiator.NegotiationFailureHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

Copyright © 2006–2016 Tigase. All rights reserved.